Bug 1411722 - Create image from URL option is unavailable in dashboard
Summary: Create image from URL option is unavailable in dashboard
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-django-horizon
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
: ---
Assignee: Radomir Dopieralski
QA Contact: Ido Ovadia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-10 11:39 UTC by Aviv Guetta
Modified: 2020-12-14 07:59 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-13 13:54:56 UTC
Target Upstream Version:


Attachments (Terms of Use)
RHOS_10_Image_Create_Dialog (130.68 KB, image/png)
2017-01-10 11:39 UTC, Aviv Guetta
no flags Details

Description Aviv Guetta 2017-01-10 11:39:59 UTC
Created attachment 1239062 [details]
RHOS_10_Image_Create_Dialog

Description of problem:
At RHOS 10, there is no option/rubric to create image from URL by dashboard UI.
The behavior is related to using glance api v2 as default at RHOS 10 (which doesn't include '--location' option anymore).
Creating image from CLI works fine (glance api v1 and v2).

Version-Release number of selected component (if applicable):
openstackclient 3.2.0
glance-api v2

How reproducible:
always

Steps to Reproduce:
1.try to create a new image from URL using RHOS 10 dashboard.



Actual results:
No option of "from URL" in the UI.

Expected results:
Option of "from URL" in the UI.

Comment 1 Cyril Roelandt 2017-01-11 14:52:15 UTC
Hello,

I think by "UI dashboard", you mean "Horizon". Glance does not seem buggy (you said it works with both v1 and v2), so may I suggest you file a bug against Horizon and let us close this one?

Comment 2 Aviv Guetta 2017-01-18 08:03:32 UTC
Cyril, 
I changed the component.
Aviv

Comment 4 Radomir Dopieralski 2017-01-26 21:31:06 UTC
I have confirmed the issue, we will work on it soon.

Comment 5 Radomir Dopieralski 2017-02-10 09:54:01 UTC
In order to have the "URL" option available in the Create Image dialog, you need to configure your Glance to allow this, and then set IMAGES_ALLOW_LOCATION=True in Horizon's configuration.

Comment 6 Radomir Dopieralski 2017-02-10 09:56:33 UTC
See documentation at http://docs.openstack.org/developer/horizon/topics/settings.html#images-allow-location

Comment 7 Radomir Dopieralski 2017-02-13 13:54:56 UTC
I am going to close this issue. If you still have any problems, please reopen it.


Note You need to log in before you can comment on or make changes to this bug.